#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.4
%define		qtver		5.15.2
%define		kf5ver		5.71.0
%define		kaname		konsole
Summary:	KDE Terminal Emulator
Name:		ka5-%{kaname}
Version:	23.08.4
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	2613c65b0925fd0adac17c02dcafeaa3
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5PrintSupport-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	kf5-extra-cmake-modules >= %{kf5ver}
BuildRequires:	kf5-kbookmarks-devel >= %{kf5ver}
BuildRequires:	kf5-kconfig-devel >= %{kf5ver}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kf5ver}
BuildRequires:	kf5-kcoreaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kcrash-devel >= %{kf5ver}
BuildRequires:	kf5-kdbusaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kdoctools-devel >= %{kf5ver}
BuildRequires:	kf5-kglobalaccel-devel >= %{kf5ver}
BuildRequires:	kf5-kguiaddons-devel >= %{kf5ver}
BuildRequires:	kf5-ki18n-devel >= %{kf5ver}
BuildRequires:	kf5-kiconthemes-devel >= %{kf5ver}
BuildRequires:	kf5-kio-devel >= %{kf5ver}
BuildRequires:	kf5-knewstuff-devel >= %{kf5ver}
BuildRequires:	kf5-knotifications-devel >= %{kf5ver}
BuildRequires:	kf5-knotifyconfig-devel >= %{kf5ver}
BuildRequires:	kf5-kparts-devel >= %{kf5ver}
BuildRequires:	kf5-kpty-devel >= %{kf5ver}
BuildRequires:	kf5-kservice-devel >= %{kf5ver}
BuildRequires:	kf5-ktextwidgets-devel >= %{kf5ver}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kf5ver}
BuildRequires:	kf5-kwindowsystem-devel >= %{kf5ver}
BuildRequires:	kf5-kxmlgui-devel >= %{kf5ver}
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5PrintSupport >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-kbookmarks >= %{kf5ver}
Requires:	kf5-kconfig >= %{kf5ver}
Requires:	kf5-kconfigwidgets >= %{kf5ver}
Requires:	kf5-kcoreaddons >= %{kf5ver}
Requires:	kf5-kcrash >= %{kf5ver}
Requires:	kf5-kdbusaddons >= %{kf5ver}
Requires:	kf5-kglobalaccel >= %{kf5ver}
Requires:	kf5-kguiaddons >= %{kf5ver}
Requires:	kf5-ki18n >= %{kf5ver}
Requires:	kf5-kiconthemes >= %{kf5ver}
Requires:	kf5-kio >= %{kf5ver}
Requires:	kf5-knewstuff >= %{kf5ver}
Requires:	kf5-knotifications >= %{kf5ver}
Requires:	kf5-knotifyconfig >= %{kf5ver}
Requires:	kf5-kparts >= %{kf5ver}
Requires:	kf5-kpty >= %{kf5ver}
Requires:	kf5-kservice >= %{kf5ver}
Requires:	kf5-ktextwidgets >= %{kf5ver}
Requires:	kf5-kwidgetsaddons >= %{kf5ver}
Requires:	kf5-kwindowsystem >= %{kf5ver}
Requires:	kf5-kxmlgui >= %{kf5ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Konsole is a terminal emulator.

Features

• Tabs • Multiple profiles • Silence and Activity monitoring •
Bookmark support • Searching • Saving output

%description -l pl.UTF-8
Konsole jest emulatorem terminala.

Cechy

• Karty • Wiele profili • Monitoring ciszy i aktywności •
Zakładki • Szukanie • Zapisywanie danych wyjściowych

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_kdedocdir}/{sr,zh_CN}

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/konsolerc
%attr(755,root,root) %{_bindir}/konsole
%attr(755,root,root) %{_bindir}/konsoleprofile
%ghost %{_libdir}/libkonsoleprivate.so.1
%{_libdir}/libkonsoleprivate.so.*.*.*
%ghost %{_libdir}/libkonsoleapp.so.1
%{_libdir}/libkonsoleapp.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/konsolepart.so
%dir %{_libdir}/qt5/plugins/konsoleplugins
%attr(755,root,root) %{_libdir}/qt5/plugins/konsoleplugins/konsole_sshmanagerplugin.so
%{_datadir}/metainfo/org.kde.konsole.appdata.xml
%{_desktopdir}/org.kde.konsole.desktop
%{_datadir}/knotifications5/konsole.notifyrc
%{_datadir}/konsole
%{_datadir}/kservices5/konsolepart.desktop
%{_datadir}/kservicetypes5/terminalemulator.desktop
%{_datadir}/knsrcfiles/konsole.knsrc
%{_datadir}/qlogging-categories5/konsole.categories
%attr(755,root,root) %{_libdir}/qt5/plugins/konsoleplugins/konsole_quickcommandsplugin.so
%{_datadir}/kio/servicemenus/konsolerun.desktop
%attr(755,root,root)%{_libdir}/kconf_update_bin/konsole_globalaccel
%attr(755,root,root)%{_libdir}/kconf_update_bin/konsole_show_menubar
%{_datadir}/kconf_update/konsole.upd
%attr(755,root,root)%{_datadir}/kconf_update/konsole_add_hamburgermenu_to_toolbar.sh
%{zsh_compdir}/_konsole
%{_datadir}/kglobalaccel/org.kde.konsole.desktop
%changelog
* Sat Dec 16 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-konsole.git;a=log;h=master

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cc32dd0
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 07dbd65
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9d506d0
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> eab5278
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3bcd790
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b73b102
- updated to 23.04.3

* Mon Jul 03 2023 Jan Palus <atler@pld-linux.org> e8c8bda
- icu rebuild

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a362234
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e13fc27
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8d93069
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b604638
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 81fa8ee
- updated to 22.12.3

* Sat Feb 18 2023 Jan Palus <atler@pld-linux.org> 88e3bca
- icu rebuild

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9ef1c1b
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3668b23
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1107fa8
- rebuild against QT 5.15.8

* Fri Dec 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 300eabf
- removing unsupported locale: ie

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> d833c9b
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 70c8cf9
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 33d5b37
- updated to 22.08.2

